TreeAdaptorIntegerRowKeyConverter (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.converter.TreeAdaptorIntegerRowKeyConverter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.converter
Class TreeAdaptorIntegerRowKeyConverter

    java.lang.Object
      org.richfaces.converter.BaseTreeConverter
          org.richfaces.converter.TreeAdaptorRowKeyConverter
              org.richfaces.converter.TreeAdaptorIntegerRowKeyConverter

All Implemented Interfaces:
  javax.faces.convert.Converter

    public class TreeAdaptorIntegerRowKeyConverter

extends TreeAdaptorRowKeyConverter

Field Summary
`static java.lang.String` | `CONVERTER_ID`

Constructor Summary
`TreeAdaptorIntegerRowKeyConverter()`

Method Summary
`protected java.lang.Object` | `convertStringToModelKey(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String modelId, java.lang.String value)`

Methods inherited from class org.richfaces.converter.TreeAdaptorRowKeyConverter
`convertModelKeyToString, getAsObject, getAsString`

Methods inherited from class org.richfaces.converter.BaseTreeConverter
`appendToKeyString, splitKeyString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONVERTER_ID

    public static final java.lang.String CONVERTER_ID

See Also:
  Constant Field Values

Constructor Detail

### TreeAdaptorIntegerRowKeyConverter

    public TreeAdaptorIntegerRowKeyConverter()

Method Detail

### convertStringToModelKey

    protected java.lang.Object convertStringToModelKey(javax.faces.context.FacesContext context,
                                                       javax.faces.component.UIComponent component,
                                                       java.lang.String modelId,
                                                       java.lang.String value)

  Overrides:
    `convertStringToModelKey` in class `TreeAdaptorRowKeyConverter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.